BuildRequires: libdbus-glib-devel pkgconfig(gio-2.0)
%global git 87fc23433d
%global uuid pidgin-conversation-integration@kagesenshi.org

Name:		gnome-shell-extension-pidgin
Version:	0
Release:	alt1_0.9.git%{git}
Summary:	The components necessary to integrate Pidgin with GNOME Shell
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://github.com/kagesenshi/gnome-shell-extensions-pidgin
# git clone https://github.com/kagesenshi/gnome-shell-extensions-pidgin.git
# mv gnome-shell-extensions-pidgin gnome-shell-extension-pidgin
# tar cfj gnome-shell-extension-pidgin-git80d4ea4b59.tar.bz2 gnome-shell-extension-pidgin
Source0:	%{name}-git%{git}.tar.bz2
Source1:	http://download.sourceforge.net/project/gnomeshpidgin/gnomeShellPidgin.c
Source2:	Makefile.gnomeShellPidgin
# Had to clarify licensing on Mohd Izhar Firdaus Bin Ismail's gnome-shell-extensions-pidgin
# It is also GPLv2+
Source3:	gnome-shell-extensions-pidgin-License.txt
Source4:	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Patch0:		gnomeShellPidgin-cleanup.patch
Patch1:		gnome-shell-extension-pidgin-gnome-shell-34.patch
Patch2:		gnome-shell-extension-pidgin-gnome-shell-36.patch
Patch3:		gnomeShellPidgin-fixups.patch
BuildRequires:	libpurple-devel libdbus-devel zlib-devel
Requires:	gnome-shell >= 3.6
Requires:	pidgin
Source44: import.info

%description
This package contains the necessary components to integrate pidgin with 
GNOME Shell:
* Izhar Firdaus's GNOME Shell Extension to display Pidgin chats as 
  notifications in the Shell message tray.
* Wojtek SurA.wka's Pidgin status notifier plugin

In order to activate these components, you will need to:
* Be running Pidgin (the extension uses Pidgin's DBUS API)
* Restart GNOME Shell after installation
* Enable the "GNOME Shell Connector" plugin within Pidgin

%prep
%setup -q -n %{name}
cp %{SOURCE1} .
cp %{SOURCE2} Makefile
cp %{SOURCE3} .
cp %{SOURCE4} .
%patch0 -p0 -b .cleanup
%patch1 -p1 -b .gnome34
%patch2 -p1 -b .gnome36
%patch3 -p1 -b .fixups

%build
make CFLAGS="%{optflags}"

%install
make DESTDIR=%{buildroot} LIBDIR=%{_libdir} install

mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
install -Dp -m 0644 {extension.js,metadata.json,stylesheet.css} \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/

%files
%doc gpl-2.0.txt gnome-shell-extensions-pidgin-License.txt
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_libdir}/purple-2/libgnomeshell.so

%changelog
* Fri Apr 12 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.9.git87fc23433d
- update from fc import

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.8.git87fc23433d
- initial fc import

